﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Infragistics4.Web.v10.2, Version=10.2.20102.1011, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.Web.UI" TagPrefix="ig" %>

<%@ Register assembly="Infragistics4.Web.v10.2, Version=10.2.20102.1011, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" namespace="Infragistics.Web.UI.GridControls" tagprefix="ig" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script type="text/javascript">
        function initGrid(grid, args) {
            doBackState(grid, false);
        }
        function pageChanged(grid, args) {
            doBackState(grid, true);
        }
        function doBackState(grid, save) {
            var paging = grid.get_behaviors().getBehaviorByName('Paging');
            var backState = $get('gridBackStateInput');
            if (!paging || !backState)
                return;
            if (save) {
                backState.value = paging.get_pageIndex();
                return;
            }
            var index = backState.value;
            if (index && index.length > 0)
                paging.set_pageIndex(parseInt(index));
        }
</script>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <input type="hidden" id="gridBackStateInput" runat="server" />
        <ig:WebDataGrid ID="WebDataGrid1" runat="server" Width="100%" AutoGenerateColumns="True"
            DataKeyFields="id">
            <ClientEvents Initialize="initGrid" />
            <Columns>
                <ig:TemplateDataField Key="TemplateField_0">
                    <ItemTemplate>
                        <asp:ImageButton ID="ImageButton1" runat="server" ImageUrl="~/images/Select.gif"
                            OnCommand="ImageButton_Select" CommandName="Select" CommandArgument='<%# Eval("id") %>' />
                    </ItemTemplate>
                    <Header Text="Go to page2" />
                </ig:TemplateDataField>
            </Columns>
            <Behaviors>
                <ig:Paging>
                    <PagingClientEvents PageIndexChanged="pageChanged" />
                </ig:Paging>
                <ig:Selection CellClickAction="Row" RowSelectType="Single">
                </ig:Selection>
            </Behaviors>
        </ig:WebDataGrid>
        <ig:WebScriptManager ID="WebScriptManager1" runat="server">
        </ig:WebScriptManager>
    </div>
    </form>
</body>
</html>
